Merge remote-tracking branch 'upstream/pull/2168'
[rails.git] / Gemfile.lock
1 GEM
2   remote: https://rubygems.org/
3   specs:
4     SystemTimer (1.2.3)
5     aasm (5.0.2)
6       concurrent-ruby (~> 1.0)
7     actioncable (5.2.2.1)
8       actionpack (= 5.2.2.1)
9       nio4r (~> 2.0)
10       websocket-driver (>= 0.6.1)
11     actionmailer (5.2.2.1)
12       actionpack (= 5.2.2.1)
13       actionview (= 5.2.2.1)
14       activejob (= 5.2.2.1)
15       mail (~> 2.5, >= 2.5.4)
16       rails-dom-testing (~> 2.0)
17     actionpack (5.2.2.1)
18       actionview (= 5.2.2.1)
19       activesupport (= 5.2.2.1)
20       rack (~> 2.0)
21       rack-test (>= 0.6.3)
22       rails-dom-testing (~> 2.0)
23       rails-html-sanitizer (~> 1.0, >= 1.0.2)
24     actionpack-page_caching (1.1.1)
25       actionpack (>= 4.0.0, < 6)
26     actionview (5.2.2.1)
27       activesupport (= 5.2.2.1)
28       builder (~> 3.1)
29       erubi (~> 1.4)
30       rails-dom-testing (~> 2.0)
31       rails-html-sanitizer (~> 1.0, >= 1.0.3)
32     active_record_union (1.3.0)
33       activerecord (>= 4.0)
34     activejob (5.2.2.1)
35       activesupport (= 5.2.2.1)
36       globalid (>= 0.3.6)
37     activemodel (5.2.2.1)
38       activesupport (= 5.2.2.1)
39     activerecord (5.2.2.1)
40       activemodel (= 5.2.2.1)
41       activesupport (= 5.2.2.1)
42       arel (>= 9.0)
43     activerecord-import (0.28.1)
44       activerecord (>= 3.2)
45     activestorage (5.2.2.1)
46       actionpack (= 5.2.2.1)
47       activerecord (= 5.2.2.1)
48       marcel (~> 0.3.1)
49     activesupport (5.2.2.1)
50       concurrent-ruby (~> 1.0, >= 1.0.2)
51       i18n (>= 0.7, < 2)
52       minitest (~> 5.1)
53       tzinfo (~> 1.1)
54     addressable (2.6.0)
55       public_suffix (>= 2.0.2, < 4.0)
56     annotate (2.7.4)
57       activerecord (>= 3.2, < 6.0)
58       rake (>= 10.4, < 13.0)
59     arel (9.0.0)
60     ast (2.4.0)
61     autoprefixer-rails (8.6.5)
62       execjs
63     better_errors (2.5.1)
64       coderay (>= 1.0.0)
65       erubi (>= 1.0.0)
66       rack (>= 0.9.0)
67     better_html (1.0.11)
68       actionview (>= 4.0)
69       activesupport (>= 4.0)
70       ast (~> 2.0)
71       erubi (~> 1.4)
72       html_tokenizer (~> 0.0.6)
73       parser (>= 2.4)
74       smart_properties
75     bigdecimal (1.1.0)
76     binding_of_caller (0.8.0)
77       debug_inspector (>= 0.0.1)
78     bootsnap (1.4.1)
79       msgpack (~> 1.0)
80     browser (2.5.3)
81     builder (3.2.3)
82     cancancan (2.3.0)
83     canonical-rails (0.2.5)
84       rails (>= 4.1, < 6.1)
85     capybara (2.18.0)
86       addressable
87       mini_mime (>= 0.1.3)
88       nokogiri (>= 1.3.3)
89       rack (>= 1.0.0)
90       rack-test (>= 0.5.4)
91       xpath (>= 2.0, < 4.0)
92     climate_control (0.2.0)
93     cliver (0.3.2)
94     coderay (1.1.2)
95     coffee-rails (4.2.2)
96       coffee-script (>= 2.2.0)
97       railties (>= 4.0.0)
98     coffee-script (2.4.1)
99       coffee-script-source
100       execjs
101     coffee-script-source (1.12.2)
102     composite_primary_keys (11.1.0)
103       activerecord (~> 5.2.1)
104     concurrent-ruby (1.1.5)
105     config (1.7.1)
106       activesupport (>= 3.0)
107       deep_merge (~> 1.2.1)
108       dry-validation (>= 0.12.2)
109     coveralls (0.8.22)
110       json (>= 1.8, < 3)
111       simplecov (~> 0.16.1)
112       term-ansicolor (~> 1.3)
113       thor (~> 0.19.4)
114       tins (~> 1.6)
115     crack (0.4.3)
116       safe_yaml (~> 1.0.0)
117     crass (1.0.4)
118     dalli (2.7.9)
119     debug_inspector (0.0.3)
120     deep_merge (1.2.1)
121     delayed_job (4.1.5)
122       activesupport (>= 3.0, < 5.3)
123     delayed_job_active_record (4.1.3)
124       activerecord (>= 3.0, < 5.3)
125       delayed_job (>= 3.0, < 5)
126     docile (1.3.1)
127     dry-configurable (0.8.2)
128       concurrent-ruby (~> 1.0)
129       dry-core (~> 0.4, >= 0.4.7)
130     dry-container (0.7.0)
131       concurrent-ruby (~> 1.0)
132       dry-configurable (~> 0.1, >= 0.1.3)
133     dry-core (0.4.7)
134       concurrent-ruby (~> 1.0)
135     dry-equalizer (0.2.2)
136     dry-inflector (0.1.2)
137     dry-logic (0.5.0)
138       dry-container (~> 0.2, >= 0.2.6)
139       dry-core (~> 0.2)
140       dry-equalizer (~> 0.2)
141     dry-types (0.14.0)
142       concurrent-ruby (~> 1.0)
143       dry-container (~> 0.3)
144       dry-core (~> 0.4, >= 0.4.4)
145       dry-equalizer (~> 0.2)
146       dry-inflector (~> 0.1, >= 0.1.2)
147       dry-logic (~> 0.5, >= 0.5)
148     dry-validation (0.13.0)
149       concurrent-ruby (~> 1.0)
150       dry-configurable (~> 0.1, >= 0.1.3)
151       dry-core (~> 0.2, >= 0.2.1)
152       dry-equalizer (~> 0.2)
153       dry-logic (~> 0.5, >= 0.5.0)
154       dry-types (~> 0.14, >= 0.14)
155     dynamic_form (1.1.4)
156     erb_lint (0.0.28)
157       activesupport
158       better_html (~> 1.0.7)
159       html_tokenizer
160       rainbow
161       rubocop (~> 0.51)
162       smart_properties
163     erubi (1.8.0)
164     execjs (2.7.0)
165     exifr (1.3.6)
166     factory_bot (5.0.2)
167       activesupport (>= 4.2.0)
168     factory_bot_rails (5.0.1)
169       factory_bot (~> 5.0.0)
170       railties (>= 4.2.0)
171     fakefs (0.20.0)
172     faraday (0.15.4)
173       multipart-post (>= 1.2, < 3)
174     ffi (1.10.0)
175     fspath (3.1.0)
176     gd2-ffij (0.3.0)
177       ffi (>= 1.0.0)
178     geoip (1.6.4)
179     globalid (0.4.2)
180       activesupport (>= 4.2.0)
181     hashdiff (0.3.8)
182     hashie (3.6.0)
183     html_tokenizer (0.0.7)
184     htmlentities (4.3.4)
185     http_accept_language (2.0.5)
186     i18n (0.9.5)
187       concurrent-ruby (~> 1.0)
188     i18n-js (3.2.1)
189       i18n (>= 0.6.6)
190     image_optim (0.26.3)
191       exifr (~> 1.2, >= 1.2.2)
192       fspath (~> 3.0)
193       image_size (>= 1.5, < 3)
194       in_threads (~> 1.3)
195       progress (~> 3.0, >= 3.0.1)
196     image_optim_rails (0.4.1)
197       image_optim (~> 0.24)
198       rails
199       sprockets
200     image_size (2.0.0)
201     in_threads (1.5.1)
202     jaro_winkler (1.5.2)
203     jquery-rails (4.3.3)
204       rails-dom-testing (>= 1, < 3)
205       railties (>= 4.2.0)
206       thor (>= 0.14, < 2.0)
207     jshint (1.5.0)
208       execjs (>= 1.4.0)
209       multi_json (~> 1.0)
210       therubyracer (~> 0.12.1)
211     json (2.2.0)
212     jsonify (0.3.1)
213       multi_json (~> 1.0)
214     jsonify-rails (0.3.2)
215       actionpack
216       jsonify (< 0.4.0)
217     jwt (2.1.0)
218     kgio (2.11.2)
219     kramdown (2.1.0)
220     libv8 (3.16.14.19)
221     libxml-ruby (3.1.0)
222     listen (3.1.5)
223       rb-fsevent (~> 0.9, >= 0.9.4)
224       rb-inotify (~> 0.9, >= 0.9.7)
225       ruby_dep (~> 1.2)
226     logstash-event (1.2.02)
227     logstasher (1.3.0)
228       activesupport (>= 4.0)
229       logstash-event (~> 1.2.0)
230       request_store
231     loofah (2.2.3)
232       crass (~> 1.0.2)
233       nokogiri (>= 1.5.9)
234     mail (2.7.1)
235       mini_mime (>= 0.1.1)
236     marcel (0.3.3)
237       mimemagic (~> 0.3.2)
238     method_source (0.9.2)
239     mime-types (3.2.2)
240       mime-types-data (~> 3.2015)
241     mime-types-data (3.2018.0812)
242     mimemagic (0.3.3)
243     mini_mime (1.0.1)
244     mini_portile2 (2.4.0)
245     minitest (5.11.3)
246     msgpack (1.2.9)
247     multi_json (1.13.1)
248     multi_xml (0.6.0)
249     multipart-post (2.0.0)
250     nio4r (2.3.1)
251     nokogiri (1.10.1)
252       mini_portile2 (~> 2.4.0)
253     nokogumbo (2.0.1)
254       nokogiri (~> 1.8, >= 1.8.4)
255     oauth (0.4.7)
256     oauth-plugin (0.5.1)
257       multi_json
258       oauth (~> 0.4.4)
259       oauth2 (>= 0.5.0)
260       rack
261     oauth2 (1.4.1)
262       faraday (>= 0.8, < 0.16.0)
263       jwt (>= 1.0, < 3.0)
264       multi_json (~> 1.3)
265       multi_xml (~> 0.5)
266       rack (>= 1.2, < 3)
267     omniauth (1.9.0)
268       hashie (>= 3.4.6, < 3.7.0)
269       rack (>= 1.6.2, < 3)
270     omniauth-facebook (5.0.0)
271       omniauth-oauth2 (~> 1.2)
272     omniauth-github (1.3.0)
273       omniauth (~> 1.5)
274       omniauth-oauth2 (>= 1.4.0, < 2.0)
275     omniauth-google-oauth2 (0.6.1)
276       jwt (>= 2.0)
277       omniauth (>= 1.1.1)
278       omniauth-oauth2 (>= 1.5)
279     omniauth-mediawiki (0.0.4)
280       jwt (~> 2.0)
281       omniauth-oauth (~> 1.0)
282     omniauth-oauth (1.1.0)
283       oauth
284       omniauth (~> 1.0)
285     omniauth-oauth2 (1.6.0)
286       oauth2 (~> 1.1)
287       omniauth (~> 1.9)
288     omniauth-openid (1.0.1)
289       omniauth (~> 1.0)
290       rack-openid (~> 1.3.1)
291     omniauth-windowslive (0.0.12)
292       multi_json (~> 1.12)
293       omniauth-oauth2 (~> 1.4)
294     openstreetmap-deadlock_retry (1.3.0)
295     paperclip (5.3.0)
296       activemodel (>= 4.2.0)
297       activesupport (>= 4.2.0)
298       mime-types
299       mimemagic (~> 0.3.0)
300       terrapin (~> 0.6.0)
301     parallel (1.14.0)
302     parser (2.6.0.0)
303       ast (~> 2.4.0)
304     pg (0.21.0)
305     poltergeist (1.18.1)
306       capybara (>= 2.1, < 4)
307       cliver (~> 0.3.1)
308       websocket-driver (>= 0.2.0)
309     powerpack (0.1.2)
310     progress (3.5.0)
311     psych (3.1.0)
312     public_suffix (3.0.3)
313     puma (3.12.0)
314     quad_tile (1.0.1)
315     r2 (0.2.7)
316     rack (2.0.6)
317     rack-cors (1.0.2)
318     rack-openid (1.3.1)
319       rack (>= 1.1.0)
320       ruby-openid (>= 2.1.8)
321     rack-test (1.1.0)
322       rack (>= 1.0, < 3)
323     rack-uri_sanitizer (0.0.2)
324     rails (5.2.2.1)
325       actioncable (= 5.2.2.1)
326       actionmailer (= 5.2.2.1)
327       actionpack (= 5.2.2.1)
328       actionview (= 5.2.2.1)
329       activejob (= 5.2.2.1)
330       activemodel (= 5.2.2.1)
331       activerecord (= 5.2.2.1)
332       activestorage (= 5.2.2.1)
333       activesupport (= 5.2.2.1)
334       bundler (>= 1.3.0)
335       railties (= 5.2.2.1)
336       sprockets-rails (>= 2.0.0)
337     rails-controller-testing (1.0.4)
338       actionpack (>= 5.0.1.x)
339       actionview (>= 5.0.1.x)
340       activesupport (>= 5.0.1.x)
341     rails-dom-testing (2.0.3)
342       activesupport (>= 4.2.0)
343       nokogiri (>= 1.6)
344     rails-html-sanitizer (1.0.4)
345       loofah (~> 2.2, >= 2.2.2)
346     rails-i18n (4.0.2)
347       i18n (~> 0.6)
348       rails (>= 4.0)
349     railties (5.2.2.1)
350       actionpack (= 5.2.2.1)
351       activesupport (= 5.2.2.1)
352       method_source
353       rake (>= 0.8.7)
354       thor (>= 0.19.0, < 2.0)
355     rainbow (3.0.0)
356     rake (12.3.2)
357     rb-fsevent (0.10.3)
358     rb-inotify (0.10.0)
359       ffi (~> 1.0)
360     record_tag_helper (1.0.0)
361       actionview (~> 5.x)
362     ref (2.0.0)
363     request_store (1.4.1)
364       rack (>= 1.4)
365     rinku (2.0.4)
366     rotp (4.1.0)
367       addressable (~> 2.5)
368     rubocop (0.65.0)
369       jaro_winkler (~> 1.5.1)
370       parallel (~> 1.10)
371       parser (>= 2.5, != 2.5.1.1)
372       powerpack (~> 0.1)
373       psych (>= 3.1.0)
374       rainbow (>= 2.2.2, < 4.0)
375       ruby-progressbar (~> 1.7)
376       unicode-display_width (~> 1.4.0)
377     ruby-openid (2.7.0)
378     ruby-progressbar (1.10.0)
379     ruby_dep (1.5.0)
380     safe_yaml (1.0.5)
381     sanitize (5.0.0)
382       crass (~> 1.0.2)
383       nokogiri (>= 1.8.0)
384       nokogumbo (~> 2.0)
385     sassc (2.0.1)
386       ffi (~> 1.9)
387       rake
388     sassc-rails (2.1.0)
389       railties (>= 4.0.0)
390       sassc (>= 2.0)
391       sprockets (> 3.0)
392       sprockets-rails
393       tilt
394     secure_headers (6.1.0)
395     simplecov (0.16.1)
396       docile (~> 1.1)
397       json (>= 1.8, < 3)
398       simplecov-html (~> 0.10.0)
399     simplecov-html (0.10.2)
400     smart_properties (1.13.1)
401     sprockets (3.7.2)
402       concurrent-ruby (~> 1.0)
403       rack (> 1, < 3)
404     sprockets-rails (3.2.1)
405       actionpack (>= 4.0)
406       activesupport (>= 4.0)
407       sprockets (>= 3.0.0)
408     term-ansicolor (1.7.1)
409       tins (~> 1.0)
410     terrapin (0.6.0)
411       climate_control (>= 0.0.3, < 1.0)
412     therubyracer (0.12.3)
413       libv8 (~> 3.16.14.15)
414       ref
415     thor (0.19.4)
416     thread_safe (0.3.6)
417     tilt (2.0.9)
418     tins (1.20.2)
419     tzinfo (1.2.5)
420       thread_safe (~> 0.1)
421     uglifier (4.1.20)
422       execjs (>= 0.3.0, < 3)
423     unicode-display_width (1.4.1)
424     validates_email_format_of (1.6.3)
425       i18n
426     vendorer (0.2.0)
427     webmock (3.5.1)
428       addressable (>= 2.3.6)
429       crack (>= 0.3.2)
430       hashdiff
431     websocket-driver (0.7.0)
432       websocket-extensions (>= 0.1.0)
433     websocket-extensions (0.1.3)
434     xpath (3.2.0)
435       nokogiri (~> 1.8)
436
437 PLATFORMS
438   ruby
439
440 DEPENDENCIES
441   SystemTimer (>= 1.1.3)
442   aasm
443   actionpack-page_caching
444   active_record_union
445   activerecord-import
446   annotate
447   autoprefixer-rails (~> 8.6.3)
448   better_errors
449   bigdecimal (~> 1.1.0)
450   binding_of_caller
451   bootsnap (>= 1.1.0)
452   browser
453   cancancan
454   canonical-rails
455   capybara (~> 2.13)
456   coffee-rails (~> 4.2)
457   composite_primary_keys (~> 11.1.0)
458   config
459   coveralls
460   dalli
461   delayed_job_active_record
462   dynamic_form
463   erb_lint
464   factory_bot_rails
465   fakefs
466   faraday
467   gd2-ffij
468   geoip
469   htmlentities
470   http_accept_language (~> 2.0.0)
471   i18n-js (>= 3.0.0)
472   image_optim_rails
473   jquery-rails
474   jshint
475   json
476   jsonify-rails
477   kgio
478   kramdown
479   libxml-ruby (>= 2.0.5)
480   listen
481   logstasher
482   minitest (~> 5.1)
483   oauth-plugin (>= 0.5.1)
484   omniauth
485   omniauth-facebook
486   omniauth-github
487   omniauth-google-oauth2 (>= 0.6.0)
488   omniauth-mediawiki (>= 0.0.4)
489   omniauth-openid
490   omniauth-windowslive
491   openstreetmap-deadlock_retry (>= 1.3.0)
492   paperclip (~> 5.2)
493   pg (~> 0.18)
494   poltergeist
495   psych
496   puma (~> 3.7)
497   quad_tile (~> 1.0.1)
498   r2 (~> 0.2.7)
499   rack-cors
500   rack-uri_sanitizer
501   rails (= 5.2.2.1)
502   rails-controller-testing
503   rails-i18n (~> 4.0.0)
504   record_tag_helper
505   rinku (= 2.0.4)
506   rotp
507   rubocop
508   sanitize
509   sassc-rails
510   secure_headers
511   uglifier (>= 1.3.0)
512   validates_email_format_of (>= 1.5.1)
513   vendorer
514   webmock
515
516 BUNDLED WITH
517    1.16.2